## finalcif 108+dfsg

=== requirements.txt ===
wheel==0.37.1
altgraph>=0.17
certifi
chardet==4.0.0
future==0.18.2
gemmi==0.5.5
html2text==2020.1.16
lxml
pefile
pybind11==2.9.2
PyQt5==5.15.6
PyQt5-sip==12.10.1
PyQt5-stubs==5.15.6.0
PyQtWebEngine==5.15.5
python-docx==0.8.11
pywin32-ctypes==0.2.0
QtAwesome==1.1.1
QtPy==2.1.0
requests==2.27.1
urllib3==1.26.9
docxtpl==0.16.0
shelxfile
crossrefapi
numpy==1.22.4

# Upgrade gemmi to Git master:
# pip install https://github.com/project-gemmi/gemmi/archive/master.zip --upgrade

=== debian/changelog ===
finalcif (108+dfsg-1) unstable; urgency=medium

  * New upstream version 108+dfsg
  * Drop skip-test-with-missing-file.patch.
  * Drop dependency on python3-vtk9.

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Aug 2022 05:45:20 -0400

finalcif (106+dfsg-1) unstable; urgency=medium

  * New upstream version 106+dfsg (Closes: #1012498)

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Jun 2022 02:41:03 -0400

finalcif (104+dfsg-1) unstable; urgency=medium

  * New upstream version 104+dfsg

 -- Andrius Merkys <merkys@debian.org>  Sat, 30 Apr 2022 03:12:59 -0400

finalcif (102+dfsg-1) unstable; urgency=medium

  * New upstream version 102+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 31 Mar 2022 06:20:23 -0400

finalcif (101+dfsg-1) unstable; urgency=medium

  * New upstream version 101+dfsg
  * Remove no longer present JavaScript files from Files-Excluded.
  * Drop upstream-integrated patches.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Mar 2022 09:20:49 -0400

finalcif (95+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Move to team maintenance.
  * Skip autopkgtest on ppc64el (fails due to uninstallable dependency).

 -- Andrius Merkys <merkys@debian.org>  Tue, 15 Mar 2022 02:38:55 -0400

finalcif (95+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #999508)

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Feb 2022 14:15:21 -0500

=== debian/tests/control ===
Test-Command: xvfb-run pytest-3
Depends:
 python3-pytest,
 xauth,
 xvfb,
 @,
Architecture: !ppc64el

## finalcif 113+dfsg

=== requirements.txt ===
wheel
altgraph
certifi
chardet
future
gemmi
html2text
lxml
pefile
pybind11
PyQt5==5.15.7
PyQt5-sip==12.11.0
PyQt5-stubs==5.15.6.0
PyQtWebEngine==5.15.6
python-docx==0.8.11
pywin32-ctypes==0.2.0
QtAwesome==1.1.1
QtPy==2.1.0
requests
urllib3
docxtpl
shelxfile
crossrefapi
numpy

# Upgrade gemmi to Git master:
# pip install https://github.com/project-gemmi/gemmi/archive/master.zip --upgrade

=== debian/changelog ===
finalcif (113+dfsg-2) unstable; urgency=medium

  * Allow STDERR in autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 Oct 2022 01:48:41 -0400

finalcif (113+dfsg-1) unstable; urgency=medium

  * New upstream version 113+dfsg
  * Backport upstream fix for gemmi incompatibility.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Oct 2022 11:54:52 -0400

=== debian/control ===
Source: finalcif
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-crossrefapi <!nocheck>,
 python3-docx <!nocheck>,
 python3-docxtpl <!nocheck>,
 python3-gemmi <!nocheck>,
 python3-html2text <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pyqt5.qtwebengine <!nocheck>,
 python3-pytest <!nocheck>,
 python3-qtawesome <!nocheck>,
 python3-setuptools,
 python3-shelxfile <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://dkratzert.de/finalcif.html
Vcs-Browser: https://salsa.debian.org/debichem-team/finalcif
Vcs-Git: https://salsa.debian.org/debichem-team/finalcif.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: finalcif
Architecture: all
Depends:
 python3-crossrefapi,
 python3-docx,
 python3-docxtpl,
 python3-gemmi,
 python3-html2text,
 python3-numpy,
 python3-pyqt5.qtwebengine,
 python3-qtawesome,
 python3-shelxfile,
 ${misc:Depends},
 ${python3:Depends},
Description: editor for Crystallographic Information Format
 Finalcif is a full-featured CIF file editor to make editing and validation of
 CIF files easy. It collects all the information from a work folder needed in
 order to finalize a CIF file for publication. In any case, one can also import
 a valid CIF file to complete the information. In ideal cases, it takes one
 click to have a publication-ready file.
 .
 Essentially, one should have the corresponding CIF file for FinalCif in its
 original 'work' folder, which contains all other files such as SAINT list
 files, SADABS list file, SHELX list files, etc. that led to this CIF file.
 .
 Checking the final CIF file with the IUCr CheckCIF server is a one-click
 problem in FinalCif. One gets a web and PDF report or just a local PLATON CIF
 check for computers without internet.
 .
 FinalCif generates beautiful CIF reports in seconds for publication as MS Word
 files (also compatible with Openoffice etc.). The report includes tables of
 structure properties like R-values or atom parameters and a report text about
 the experiment conditions.
 .
 The button "save cif file" saves the current file under 'name'-finalcif.cif.
 FinalCif will never make changes to the original CIF file.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=finalcif

export http_proxy  = 127.0.0.1
export https_proxy = 127.0.0.1

export NO_NETWORK = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run pytest-3

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/finalcif/usr/lib/python*/dist-packages/docs
	rm -rf debian/finalcif/usr/lib/python*/dist-packages/scripts

override_dh_auto_clean:
	dh_auto_clean
	rm -rf FinalCif.egg-info

## finalcif 123+dfsg

=== requirements.txt ===
wheel
altgraph
certifi
chardet
future
gemmi~=0.6
html2text
lxml
pefile
pybind11
PyQt5~=5.15
PyQt5-sip~=12.12
PyQt5-stubs~=5.15
PyQtWebEngine~=5.15
python-docx~=0.8
pywin32-ctypes==0.2.0
QtAwesome
QtPy
requests
urllib3~=1.26
docxtpl
shelxfile
crossrefapi
numpy
pyenchant

# Upgrade gemmi to Git master:
# pip install https://github.com/project-gemmi/gemmi/archive/master.zip --upgrade

=== debian/changelog ===
finalcif (123+dfsg-1) unstable; urgency=medium

  * New upstream version 123+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Jun 2023 10:02:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3,
  python3-crossrefapi <!nocheck>,
  python3-docx <!nocheck>,
  python3-docxtpl <!nocheck>,
  python3-gemmi <!nocheck>,
+ python3-hatch-requirements-txt,
+ python3-hatchling,
  python3-html2text <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pyqt5.qtwebengine <!nocheck>,
  python3-pytest <!nocheck>,
  python3-qtawesome <!nocheck>,
- python3-setuptools,
  python3-shelxfile <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=finalcif
+export PYBUILD_NAME = finalcif
 
 export http_proxy  = 127.0.0.1
 export https_proxy = 127.0.0.1
@@ -8,7 +8,7 @@
 export NO_NETWORK = 1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
 	xvfb-run pytest-3

## finalcif 134%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: finalcif
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
@@ -10,7 +11,7 @@
  pybuild-plugin-pyproject,
  python3,
  python3-crossrefapi <!nocheck>,
- python3-docx <!nocheck>,
+ python3-docx (>= 1.0.0) <!nocheck>,
  python3-docxtpl <!nocheck>,
  python3-gemmi <!nocheck>,
  python3-hatch-requirements-txt,
@@ -23,7 +24,7 @@
  python3-shelxfile <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://dkratzert.de/finalcif.html
 Vcs-Browser: https://salsa.debian.org/debichem-team/finalcif
 Vcs-Git: https://salsa.debian.org/debichem-team/finalcif.git

## finalcif 134+dfsg

=== requirements.txt ===
wheel
altgraph
certifi
chardet
gemmi~=0.6
html2text
lxml
pefile
pybind11
PyQt5~=5.15
PyQt5-sip~=12.12
PyQt5-stubs~=5.15
PyQtWebEngine~=5.15
python-docx~=1.0
QtAwesome
QtPy
requests
urllib3
docxtpl
shelxfile
crossrefapi
numpy<2.0
pyenchant

# Upgrade gemmi to Git master:
# pip install https://github.com/project-gemmi/gemmi/archive/master.zip --upgrade

=== debian/changelog ===
finalcif (134+dfsg-1) unstable; urgency=medium

  * New upstream version 134+dfsg
  * Drop 6c9a595f7577a2d56712757a5ce6751d315ed245.patch: integrated upstream.
  * Bump copyright years.
  * Override lintian false-positives.
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Feb 2024 10:16:08 -0500

finalcif (127+dfsg-2) unstable; urgency=medium

  * Backport an upstream commit to fix incompatibility with
    python3-docx (>= 1.0.0).

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 Oct 2023 02:59:47 -0400

finalcif (127+dfsg-1) unstable; urgency=medium

  * New upstream version 127+dfsg

 -- Andrius Merkys <merkys@debian.org>  Sat, 30 Sep 2023 03:56:50 -0400

finalcif (126+dfsg-1) unstable; urgency=medium

  * New upstream version 126+dfsg
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Sep 2023 02:36:58 -0400

finalcif (125+dfsg-1) unstable; urgency=medium

  * New upstream version 125+dfsg

 -- Andrius Merkys <merkys@debian.org>  Mon, 04 Sep 2023 03:57:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: finalcif
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = finalcif

export http_proxy  = 127.0.0.1
export https_proxy = 127.0.0.1

export NO_NETWORK = 1

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_test:
	xvfb-run pytest-3

execute_after_dh_auto_install:
	rm -rf debian/finalcif/usr/lib/python*/dist-packages/docs
	rm -rf debian/finalcif/usr/lib/python*/dist-packages/scripts

execute_after_dh_auto_clean:
	rm -rf FinalCif.egg-info

## finalcif 137+dfsg

=== debian/changelog ===
finalcif (137+dfsg-4) unstable; urgency=medium

  * Patch test failure in TestCheckCifInterface (Closes: #1103040).
    Thanks Rong Fu!

 -- Andrius Merkys <merkys@debian.org>  Mon, 26 May 2025 02:31:43 -0400

finalcif (137+dfsg-3) unstable; urgency=medium

  * Pass the file list from /usr/bin/finalcif to the actual Python executable.
    Thanks Tim Gruene.
  * Bump copyright year.

 -- Andrius Merkys <merkys@debian.org>  Thu, 24 Apr 2025 03:35:10 -0400

finalcif (137+dfsg-2) unstable; urgency=medium

  * Do not run autopkgtest on riscv64: pyqt5webengine does not build there.

 -- Andrius Merkys <merkys@debian.org>  Tue, 10 Sep 2024 09:58:52 -0400

finalcif (137+dfsg-1) unstable; urgency=medium

  * New upstream version 137+dfsg

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 May 2024 02:11:39 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ libjs-bootstrap5 <!nocheck>,
  pybuild-plugin-pyproject,
  python3,
  python3-crossrefapi <!nocheck>,
@@ -33,6 +34,7 @@
 Package: finalcif
 Architecture: all
 Depends:
+ libjs-bootstrap5,
  python3-crossrefapi,
  python3-docx,
  python3-docxtpl,

## finalcif 154%2Bdfsg

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/dkratzert/FinalCif/tags \
 (?:.*?/)?Version-@ANY_VERSION@@ARCHIVE_EXT@

## finalcif 154+dfsg

=== debian/changelog ===
finalcif (154+dfsg-1) unstable; urgency=medium

  [ Roland Mas ]
  * New upstream release.

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 05:32:57 -0400

## finalcif 156+dfsg

=== requirements.txt ===
wheel
certifi
chardet
gemmi
html2text
lxml
pefile
pybind11
pyside6
python-docx~=1.0
QtAwesome
QtPy
requests
urllib3
docxtpl
shelxfile
crossrefapi
numpy
pyenchant

# Upgrade gemmi to Git master:
# pip install https://github.com/project-gemmi/gemmi/archive/master.zip --upgrade

=== debian/changelog ===
finalcif (156+dfsg-1) unstable; urgency=medium

  * New upstream version 156+dfsg
  * Exclude platon/.

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Nov 2025 05:36:28 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-crossrefapi <!nocheck>,
  python3-docx (>= 1.0.0) <!nocheck>,
  python3-docxtpl <!nocheck>,
- python3-gemmi <!nocheck>,
+ python3-gemmi (>= 0.7.0) <!nocheck>,
  python3-hatch-requirements-txt,
  python3-hatchling,
  python3-html2text <!nocheck>,
@@ -24,6 +24,7 @@
  python3-shelxfile <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
+ dbus <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://dkratzert.de/finalcif.html
 Vcs-Browser: https://salsa.debian.org/debichem-team/finalcif

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,5 @@
  xauth,
  xvfb,
  @,
-Architecture: !ppc64el
+Architecture: !ppc64el !riscv64
+Restrictions: allow-stderr
